[Date Prev][Date Next] [Chronological] [Thread] [Top]

Schema Error with new version

I'm upgrading my system from version 2.0.27 to version 2.1.12 (last week was
the latest stable)
The installation is fine but when i configure the slapd with the schemas I
use with OL 2.0.27 i get errors:

How do the schema definitions changed from v2.0.x to 2.1.x ?

The schema that slapd don't like are qmail.schema and lpquota.schema (a hand
made schema) which are
working well in teh v2.0.x platform ...

When slapd is launched the following error occurs (-d 64):
reading config file /usr/local/openldap2.1.12/etc/openldap/schema/qmail
line 24 (attributetype ( NAME 'qmailUID' DESC 'UID
of the user on the mailsystem' EQUALITY integerMatch SYNTAX SINGLE-VALUE ))
/usr/local/openldap2.1.12/etc/openldap/schema/qmail.schema: line 24:
AttributeType inappropriate matching rule: "integerMatch"
slapd stopped.

How can I turn my schemas to work ?